/*
 *
 *    OPEN-XCHANGE legal information
 *
 *    All intellectual property rights in the Software are protected by
 *    international copyright laws.
 *
 *
 *    In some countries OX, OX Open-Xchange, open xchange and OXtender
 *    as well as the corresponding Logos OX Open-Xchange and OX are registered
 *    trademarks of the OX Software GmbH group of companies.
 *    The use of the Logos is not covered by the GNU General Public License.
 *    Instead, you are allowed to use these Logos according to the terms and
 *    conditions of the Creative Commons License, Version 2.5, Attribution,
 *    Non-commercial, ShareAlike, and the interpretation of the term
 *    Non-commercial applicable to the aforementioned license is published
 *    on the web site http://www.open-xchange.com/EN/legal/index.html.
 *
 *    Please make sure that third-party modules and libraries are used
 *    according to their respective licenses.
 *
 *    Any modifications to this package must retain all copyright notices
 *    of the original copyright holder(s) for the original code used.
 *
 *    After any such modifications, the original and derivative code shall remain
 *    under the copyright of the copyright holder(s) and/or original author(s)per
 *    the Attribution and Assignment Agreement that can be located at
 *    http://www.open-xchange.com/EN/developer/. The contributing author shall be
 *    given Attribution for the derivative code and a license granting use.
 *
 *     Copyright (C) 2016-2020 OX Software GmbH
 *     Mail: info@open-xchange.com
 *
 *
 *     This program is free software; you can redistribute it and/or modify it
 *     under the terms of the GNU General Public License, Version 2 as published
 *     by the Free Software Foundation.
 *
 *     This program is distributed in the hope that it will be useful, but
 *     WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *     or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 *     for more details.
 *
 *     You should have received a copy of the GNU General Public License along
 *     with this program; if not, write to the Free Software Foundation, Inc., 59
 *     Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

package com.openexchange.guard.exceptions;

import com.openexchange.i18n.LocalizableStrings;

/**
 * {@link GuardExceptionMessages}
 *
 * @author <a href="mailto:benjamin.gruedelbach@open-xchange.com">Benjamin Gruedelbach</a>
 * @since v7.10.0
 */
public class GuardExceptionMessages  implements LocalizableStrings {

    // The authentication is missing and is required
    public static final String MISSING_AUTH_MSG = "Missing authentication";
    // Purely technical error.  Unlikely to be displayed
    public static final String MISSING_ENDPOINT_MSG = "Guard endpoint \"%1$s\" not configured";
    // Authentication is invalid
    public static final String BAD_AUTH_MSG = "Invalid authentication";
    // Unknown error message
    public static final String UNKNOWN_ERROR_MSG = "Error: \"%1$s\"";
    // Error message returned when the user account is Locked out.  Usually due to excessive login attempts with bad passwords
    public static final String LOCKOUT_MSG = "Lockout";
    // Purely technical error.  Unlikely to be displayed
    public static final String URI_PARSE_FAILED_MSG =  "Unable to parse server URI \"%1$s\".";
    // The action requested is not allowed.  Variable will be reason or detail on the restriction
    public static final String ACTION_NOT_ALLOWED_MSG = "The action is not allowed: '%1$s'";
    // The action is not supported.  Variable will be the action that isn't supported
    public static final String ACTION_NOT_SUPPORTED_MSG = "The action is not supported: '%1$s'";
    // The account was assigned a pin, and can't do this function until the PIN code is removed by changing password.
    public static final String BLOCKED_BY_PIN = "Unable to perform action until PIN is removed.  Please do so by changing password.";

    private GuardExceptionMessages() { }
}
